For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Request featuresContact support
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
  • Docs
    • Event types
    • Tariff
  • API Reference
        • GETGet list of SMS routing entries
        • POSTCreate a new SMS routing entry
        • GETFetch SMS routing entry by ID
        • DELDelete an SMS routing entry
        • PATCHUpdate an SMS routing entry
        • GETGet list of SMS routing data
        • POSTCreate SMS routing data
        • DELDelete SMS routing data
        • PATCHUpdate SMS routing data
LogoLogo
Request featuresContact support
API ReferenceSms Routing

Update SMS routing data

PATCH
https://cdn.emnify.net/api/v1/sms_routing/:routing_id/data/:routing_data_id
PATCH
/api/v1/sms_routing/:routing_id/data/:routing_data_id
$curl -X PATCH https://cdn.emnify.net/api/v1/sms_routing/routing_id/data/routing_data_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "country": {
> "id": 2
> },
> "smpp_bind": {
> "id": 91
> },
> "msisdn_pool": {
> "id": 1
> },
> "sccp_called_party_prefix": {
> "id": 1
> }
>}'
1{}
Updates the specified SMS routing data. Will only update data if the requested SMS routing entry belongs to the logged in organization. <br> The following properties may be set in the JSON body: - `operator` - the operator that will be routed via this entry - `smpp_bind` - the SMPP bind used for the route - `gt_config` - can only be updated by Master organization, MNOs get default NULL - `msisdn_pool` - can only be updated by Master organization, MNOs get default NULL - `country` - the country that will be routed via this entry - `sccp_called_party_prefix` - can only be updated by Master organization, MNOs get default NULL **Notes:** - Either a `gt_config` OR an `smpp_bind` needs to be set. It is not possible to set both. - Either a `country` OR an `operator` needs to be set. It is not possible to set both. - If the `country` is set, the `operator` will be automatically set to `ANY`. - If the `operator` is set, the `country` will be automatically set to the operator's country.
Was this page helpful?
Previous

Delete SMS routing data

Next

Configure custom Cloud Connect prices

Built with

Updates the specified SMS routing data. Will only update data if the requested SMS routing entry belongs to the logged in organization.


The following properties may be set in the JSON body:

  • operator - the operator that will be routed via this entry
  • smpp_bind - the SMPP bind used for the route
  • gt_config - can only be updated by Master organization, MNOs get default NULL
  • msisdn_pool - can only be updated by Master organization, MNOs get default NULL
  • country - the country that will be routed via this entry
  • sccp_called_party_prefix - can only be updated by Master organization, MNOs get default NULL

Notes:

  • Either a gt_config OR an smpp_bind needs to be set. It is not possible to set both.
  • Either a country OR an operator needs to be set. It is not possible to set both.
  • If the country is set, the operator will be automatically set to ANY.
  • If the operator is set, the country will be automatically set to the operator’s country.

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the POST request to /api/v1/authenticate.

Path parameters

routing_idstringRequired
routing_data_idstringRequired

Request

This endpoint expects an object.
iddoubleOptional
sms_routing_idstringOptional
countryobjectOptional
smpp_bindobjectOptional
operatorobjectOptional
msisdn_poolobjectOptional
gt_configobjectOptional
sccp_called_party_prefixobjectOptional

Response

OK

Errors

400
Bad Request Error
403
Forbidden Error